#include <bits/stdc++.h>
#include "code.h"
#define ll long long
#define pb push_back
using namespace std;

ll a[2000][2000];
ll maxi[2000];
ll mini[2000];
ll pojaviomax[2000];
ll pojaviomin[2000];


std::vector<int> Nadji(int N, int K)
{
	vector<int> v;
	for(int i=1;i<=1000;i++){
        mini[i]=INT_MAX;
	}
    cout << 'x';

	for(int i=1;i<=N;i++){
        for(int j=1;j<=N;j++){
            a[i][j]=Pitaj(i,j);
        }
	}
	//priority_queue<pair<pair<ll,ll>,ll>> pq;
	for(int i=1;i<=N;i++){
        for(int j=1;j<=N;j++){
            if(a[i][j]>maxi[j]){
                maxi[j]=a[i][j];
                pojaviomax[j]=1;
            }
            else if(a[i][j]==maxi[j])pojaviomax[j]++;
        }
	}
	for(int j=1;j<=N;j++){
        for(int i=1;i<=N;i++){
            if(a[i][j]<mini[i]){
                mini[i]=a[i][j];
                pojaviomin[i]=1;
            }
            else if(a[i][j]==mini[i])pojaviomin[i]++;
        }
	}

	for(int i=1;i<=N;i++){
        for(int j=1;j<=N;j++){
            if(pojaviomax[j]==1 && pojaviomin[i]==1 && maxi[i]==a[i][j] && mini[j]==a[i][j]){
                v.pb(i);
                v.pb(j);
                cout << i <<' ' << j;
                return v;
            }
        }
	}
}